task charger{
    String sample_id 
    File vep_vcf
    File inheritanceGeneList
    File clinvar
    File pathogenic
    File HotSpot3D
    File PP2GeneList

    String disk_size
    String docker
    String cluster

    command <<<
	
        set -o pipefail
        set -e
        
        vep_input=`echo ${vep_vcf}|awk -F "/" '{print $NF}'`
        vep_index=`echo ${vep_vcf}|awk -F "/" '{print $NF}'|sed 's/.vcf//'`

        echo ${sample_id}
        mkdir ./input/
        mkdir ./output/
        grep "#" ${vep_vcf} > ./input/$vep_input
        grep -v "#" ${vep_vcf}|sed 's/\.0//' >> ./input/$vep_input

        charger -f ./input/$vep_input \
            -o ./output/$vep_index.charger.tsv \
            -D ${inheritanceGeneList} \
            -l --mac-clinvar-tsv ${clinvar} \
            -z ${pathogenic} \
            -H ${HotSpot3D} \
            --PP2GeneList ${PP2GeneList}
 
 
    >>>
	
    runtime {
        docker: docker
        cluster: cluster
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        Array[File] filter_result=glob("./output/${sample_id}*")
    }

}


